# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "sauron"
version = "0.49.2"
authors = ["Jovansonlee Cesar <ivanceras@gmail.com>"]
description = "A versatile web framework and library for building client-side and/or server-side web applications"
documentation = "https://docs.rs/sauron"
readme = "README.md"
keywords = ["html", "dom", "web"]
license = "MIT"
repository = "https://github.com/ivanceras/sauron"
resolver = "2"
[dependencies.cfg-if]
version = "0.1"

[dependencies.sauron-core]
version = "0.49"
default-features = false

[dependencies.sauron-node-macro]
version = "0.49"
optional = true
[dev-dependencies.console_error_panic_hook]
version = "0.1"

[dev-dependencies.console_log]
version = "0.2"

[dev-dependencies.log]
version = "0.4"

[dev-dependencies.regex]
version = "1"

[dev-dependencies.wasm-bindgen-test]
version = "0.3"

[dev-dependencies.web-sys]
version = "0.3"
features = ["DomTokenList", "HtmlInputElement", "Event", "MouseEvent", "InputEvent", "console", "Performance"]

[features]
default = ["with-dom", "with-node-macro", "with-request-animation-frame"]
with-debug = ["sauron-core/with-debug"]
with-dom = ["sauron-core/with-dom"]
with-lookup = ["sauron-core/with-lookup"]
with-measure = ["sauron-core/with-measure"]
with-node-macro = ["sauron-node-macro"]
with-request-animation-frame = ["sauron-core/with-request-animation-frame"]
[badges.maintenance]
status = "actively-developed"
